<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <title>Resize Image</title>
    <script type="text/javascript" src="../packages/hotdrink.js"></script>
    <script type="module" src="img.js"></script>
    <link rel="stylesheet" href="overlay-style.css" />
    <style>
      fieldset#whap-gui {
        background-color: white;
      }

      fieldset#whap-gui input[type="number"] {
        width: 10ex;
        margin-right: 2ex;
      }

      fieldset#whap-gui label {
        display: inline-block;
        width: 2ex;
      }

      .vertical-middle {
        display: inline-block;
        vertical-align: middle;
      }

      #whap-gui {
        margin: revert;
        padding: revert;
      }
    </style>
  </head>
  <body>
    <section>
      <label class="head">Recorder Options</label>
      <button id="start" disabled>Start Recording</button>
      <button id="stop">Stop Recording</button>
      <button id="replay">Replay</button>
    </section>

    <aside>
      <img
        id="img"
        src="cute-redpanda.jpg"
        style="float: right"
        alt="A cute red panda"
      />
    </aside>

    <section>
      <label class="head">Manipulate Image</label>
      <fieldset id="whap-gui">
        <label for="area">A</label><input id="area" type="number" />
        <span class="vertical-middle">
          <label for="width">w</label><input id="width" type="number" /><br />
          <label for="height">h</label><input id="height" type="number" />
        </span>
        <label for="perimeter">p</label><input id="perimeter" type="number" />
      </fieldset>
    </section>

    <section id="whap-section">
      <label class="head">Script DSL</label>
      <button id="update-dsl">Update DSL</button>
      <button id="parse-dsl">Parse DSL</button>
      <div class="dsl">
        <textarea
          id="dsl"
          rows="20"
          cols="40"
          style="display: inline-block"
        ></textarea>
      </div>
    </section>

    <div id="hd-script-dsl-overlay" hidden>
      <div id="hd-script-mask"></div>
      <div id="hd-script-overlay_window">
        <button
          class="hd-script-overlay"
          id="hd-script-vhide"
          onclick="document.getElementById('hd-script-dsl-overlay').hidden = true"
        >
          Hide
        </button>
      </div>
    </div>
  </body>
</html>
